Loading...
Searching...
No Matches
LineWidthMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getOne ()
void | getTwo ()
void | getThree ()
void | getFour ()
void | getFive ()
void | getSix ()
void | getSeven ()
void | getEight ()
void | getNine ()
void | getTen ()

## Signals

void | whichTrigger (unsigned int which, unsigned int width)

## Public Member Functions

| LineWidthMenu (unsigned int which, QWidget *parent)
| ~LineWidthMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## LineWidthMenu()

LineWidthMenu::LineWidthMenu | ( | unsigned int | which,
|  | QWidget * | parent )

inline

References getEight(), getFive(), getFour(), getNine(), getOne(), getSeven(), getSix(), getTen(), getThree(), and getTwo().

## ~LineWidthMenu()

LineWidthMenu::~LineWidthMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * LineWidthMenu::getAction | ( | unsigned int | which | ) |

inline

## getEight

void LineWidthMenu::getEight | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getFive

void LineWidthMenu::getFive | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getFour

void LineWidthMenu::getFour | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getNine

void LineWidthMenu::getNine | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getNumActions()

int LineWidthMenu::getNumActions | ( |  | ) | const

inline

## getOne

void LineWidthMenu::getOne | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getSeven

void LineWidthMenu::getSeven | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getSix

void LineWidthMenu::getSix | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getTen

void LineWidthMenu::getTen | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getThree

void LineWidthMenu::getThree | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## getTwo

void LineWidthMenu::getTwo | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineWidthMenu().

## whichTrigger

void LineWidthMenu::whichTrigger | ( | unsigned int | which,
|  | unsigned int | width )

signal

Referenced by getEight(), getFive(), getFour(), getNine(), getOne(), getSeven(), getSix(), getTen(), getThree(), and getTwo().

The documentation for this class was generated from the following file:

- form_menus.h